---
# ClusterIP for the REST API — internal access.
# Expose externally via an Ingress or change type to LoadBalancer.
apiVersion: v1
kind: Service
metadata:
  name: scuttlebot-api
  labels:
    app: scuttlebot
spec:
  type: ClusterIP
  selector:
    app: scuttlebot
  ports:
    - name: api
      port: 8080
      targetPort: 8080
---
# ClusterIP for the MCP server — internal access for AI agent tooling.
apiVersion: v1
kind: Service
metadata:
  name: scuttlebot-mcp
  labels:
    app: scuttlebot
spec:
  type: ClusterIP
  selector:
    app: scuttlebot
  ports:
    - name: mcp
      port: 8081
      targetPort: 8081
